/**
 * Extiende la clase {@link Buscador Buscador} implementando el algoritmo de busqueda LinearSearch.
 * @author Nelson Lopez C., Jaime Stockle O.
 */
public class LinearSearcher extends Buscador  {
        /**
     * Busca en un arreglo de objetos Comparable utilizando algoritmo de busqueda LinearSearch.
     * @param A Arreglo donde buscar.
     * @param obj Objeto a buscar.
     * @return indice del objeto encontrado.
     */
    public int buscar(Object[] A, Object obj){
        for(int i=0;i<A.length;i++,nc++){
            if(((Estudiante)A[i]).compareTo(obj)==0)
                return i;                   
        }
        return -1;
    }
    /**
      * Obtiene el numero de comparaciones
     * @return numero de comparaciones
     */
    public int getNumComparaciones(){
        return nc;
    }
    private int nc;
}