
/**
 * Superclass para distintas implementaciones de personas.
 * @author Nelson Lopez C., Jaime Stockle O.
 * 
 */
public class Persona {
    protected Persona() {}
    /**
     * Constructor de la clase Persona
     * @param nombre Nombre de la persona
     */
    public Persona (String nombre) {
        this.nombre=nombre;
    }
    /**
     * Obtiene el nombre de la persona.
     * @return el nombre de la persona.
     */
    public String getName() {
        return nombre;
    }
    private String nombre;    
}

